/*

PICCANTE
The hottest HDR imaging library!
http://vcg.isti.cnr.it/piccante

Copyright (C) 2014
Visual Computing Laboratory - ISTI CNR
http://vcg.isti.cnr.it
First author: Francesco Banterle

This Source Code Form is subject to the terms of the Mozilla Public
License, v. 2.0. If a copy of the MPL was not distributed with this
file, You can obtain one at http://mozilla.org/MPL/2.0/.

*/

#ifndef PIC_ALGORITHMS_HPP
#define PIC_ALGORITHMS_HPP

#include "algorithms/compute_divergence.hpp"
#include "algorithms/nelder_mead_opt_gray_match.hpp"
#include "algorithms/camera_response_function.hpp"
#include "algorithms/hdr_merger.hpp"
#include "algorithms/connected_components.hpp"
#include "algorithms/discrete_cosine_transform.hpp"
#include "algorithms/poisson_filling.hpp"
#include "algorithms/poisson_solver.hpp"
#include "algorithms/poisson_image_editing.hpp"
#include "algorithms/pushpull.hpp"
#include "algorithms/pyramid.hpp"
#include "algorithms/multi_resolution_operator.hpp"
#include "algorithms/quadtree.hpp"
#include "algorithms/region_border.hpp"
#include "algorithms/superpixels_oracle.hpp"
#include "algorithms/superpixels_slic.hpp"
#include "algorithms/color_to_gray.hpp"
#include "algorithms/histogram_matching.hpp"
#include "algorithms/bilateral_separation.hpp"
#include "algorithms/grow_cut.hpp"
#include "algorithms/live_wire.hpp"
#include "algorithms/radial_basis_function.hpp"
#include "algorithms/color_classification.hpp"
#include "algorithms/binarization.hpp"
#include "algorithms/segmentation_tmo_approx.hpp"
#include "algorithms/lischinski_minimization.hpp"

#endif /* PIC_ALGORITHMS_HPP */

