/*

PICCANTE
The hottest HDR imaging library!
http://vcg.isti.cnr.it/piccante

Copyright (C) 2014
Visual Computing Laboratory - ISTI CNR
http://vcg.isti.cnr.it
First author: Francesco Banterle

This Source Code Form is subject to the terms of the Mozilla Public
License, v. 2.0. If a copy of the MPL was not distributed with this
file, You can obtain one at http://mozilla.org/MPL/2.0/.

*/

#ifndef PIC_COMPUTER_VISION_HPP
#define PIC_COMPUTER_VISION_HPP

#include "computer_vision/homography_matrix.hpp"
#include "computer_vision/fundamental_matrix.hpp"
#include "computer_vision/triangulation.hpp"
#include "computer_vision/essential_matrix.hpp"
#include "computer_vision/intrisics_matrix.hpp"
#include "computer_vision/camera_matrix.hpp"

#include "computer_vision/rectification.hpp"

#include "computer_vision/stereo.hpp"

#include "computer_vision/nelder_mead_opt_homography.hpp"
#include "computer_vision/nelder_mead_opt_fundamental.hpp"
#include "computer_vision/nelder_mead_opt_triangulation.hpp"
#include "computer_vision/nelder_mead_opt_gordon_lowe.hpp"
#include "computer_vision/nelder_mead_opt_radial_distortion.hpp"

#include "computer_vision/iterative_closest_point_2D.hpp"
#include "computer_vision/nelder_mead_opt_ICP_2D.hpp"
#include "computer_vision/find_checker_board.hpp"

#include "computer_vision/image_alignment.hpp"

#include "computer_vision/simple_ply.hpp"


#endif /* PIC_COMPUTER_VISION_HPP */

